#include "PricingProblem.h"

PricingProblem::PricingProblem(Instance& instance):
	PricingSubProblem<Instance, vector<Exchange>, DualSolution, GRBConstr>(instance) {
}

PricingProblem::~PricingProblem() {
}

void PricingProblem::set_columns(const vector<Exchange>& new_columns) {
	this->columns = new_columns;
}

void PricingProblem::add_column(const Exchange& column) {
	this->columns.push_back(column);
}

